-- phpMyAdmin SQL Dump
-- version 4.6.6
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Apr 12, 2017 at 09:47 PM
-- Server version: 5.5.54-cll
-- PHP Version: 5.6.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `newexaxo_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_accessmanager`
--

CREATE TABLE `mw8a0_redshop_accessmanager` (
  `id` int(11) NOT NULL,
  `section_name` varchar(256) NOT NULL,
  `gid` int(11) NOT NULL,
  `view` enum('1','0') DEFAULT NULL,
  `add` enum('1','0') DEFAULT NULL,
  `edit` enum('1','0') DEFAULT NULL,
  `delete` enum('1','0') DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Access Manager';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_alerts`
--

CREATE TABLE `mw8a0_redshop_alerts` (
  `id` int(11) NOT NULL,
  `message` varchar(255) NOT NULL,
  `sent_date` datetime NOT NULL,
  `read` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Notification Alert';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_attribute_set`
--

CREATE TABLE `mw8a0_redshop_attribute_set` (
  `attribute_set_id` int(11) NOT NULL,
  `attribute_set_name` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Attribute set detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_cart`
--

CREATE TABLE `mw8a0_redshop_cart` (
  `session_id` varchar(255) NOT NULL,
  `product_id` int(11) NOT NULL,
  `section` varchar(250) NOT NULL,
  `qty` int(11) NOT NULL,
  `time` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Cart';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_catalog`
--

CREATE TABLE `mw8a0_redshop_catalog` (
  `catalog_id` int(11) NOT NULL,
  `catalog_name` varchar(250) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Catalog';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_catalog_colour`
--

CREATE TABLE `mw8a0_redshop_catalog_colour` (
  `colour_id` int(11) NOT NULL,
  `sample_id` int(11) NOT NULL,
  `code_image` varchar(250) NOT NULL,
  `is_image` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Catalog Colour';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_catalog_request`
--

CREATE TABLE `mw8a0_redshop_catalog_request` (
  `catalog_user_id` int(11) NOT NULL,
  `catalog_id` int(11) NOT NULL,
  `name` varchar(250) NOT NULL,
  `email` varchar(250) NOT NULL,
  `registerDate` int(11) NOT NULL,
  `block` tinyint(4) NOT NULL,
  `reminder_1` tinyint(4) NOT NULL,
  `reminder_2` tinyint(4) NOT NULL,
  `reminder_3` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Catalog Request';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_catalog_sample`
--

CREATE TABLE `mw8a0_redshop_catalog_sample` (
  `sample_id` int(11) NOT NULL,
  `sample_name` varchar(100) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Catalog Sample';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_category`
--

CREATE TABLE `mw8a0_redshop_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(250) NOT NULL,
  `category_short_description` longtext NOT NULL,
  `category_description` longtext NOT NULL,
  `category_template` int(11) NOT NULL,
  `category_more_template` varchar(255) NOT NULL,
  `products_per_page` int(11) NOT NULL,
  `category_thumb_image` varchar(250) NOT NULL,
  `category_full_image` varchar(250) NOT NULL,
  `metakey` varchar(250) NOT NULL,
  `metadesc` longtext NOT NULL,
  `metalanguage_setting` text NOT NULL,
  `metarobot_info` text NOT NULL,
  `pagetitle` text NOT NULL,
  `pageheading` longtext NOT NULL,
  `sef_url` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `category_pdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ordering` int(11) NOT NULL,
  `category_back_full_image` varchar(250) NOT NULL,
  `compare_template_id` varchar(255) NOT NULL,
  `append_to_global_seo` enum('append','prepend','replace') NOT NULL DEFAULT 'append',
  `canonical_url` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Category';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_category_xref`
--

CREATE TABLE `mw8a0_redshop_category_xref` (
  `category_parent_id` int(11) NOT NULL DEFAULT '0',
  `category_child_id` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Category relation';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_country`
--

CREATE TABLE `mw8a0_redshop_country` (
  `id` int(11) NOT NULL,
  `country_name` varchar(64) NOT NULL DEFAULT '',
  `country_3_code` char(3) NOT NULL,
  `country_2_code` char(2) NOT NULL,
  `country_jtext` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Country records';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_coupons`
--

CREATE TABLE `mw8a0_redshop_coupons` (
  `coupon_id` int(16) NOT NULL,
  `coupon_code` varchar(32) NOT NULL DEFAULT '',
  `percent_or_total` tinyint(4) NOT NULL,
  `coupon_value` decimal(12,2) NOT NULL DEFAULT '0.00',
  `start_date` double NOT NULL,
  `end_date` double NOT NULL,
  `coupon_type` tinyint(4) NOT NULL COMMENT '0 - Global, 1 - User Specific',
  `userid` int(11) NOT NULL,
  `coupon_left` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `free_shipping` tinyint(4) NOT NULL,
  `order_id` int(11) NOT NULL,
  `subtotal` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Coupons';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_coupons_transaction`
--

CREATE TABLE `mw8a0_redshop_coupons_transaction` (
  `transaction_coupon_id` int(11) NOT NULL,
  `coupon_id` int(11) NOT NULL,
  `coupon_code` varchar(255) NOT NULL,
  `coupon_value` decimal(10,3) NOT NULL,
  `userid` int(11) NOT NULL,
  `trancation_date` int(11) NOT NULL,
  `published` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Coupons Transaction';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_cron`
--

CREATE TABLE `mw8a0_redshop_cron` (
  `id` int(11) NOT NULL,
  `date` date NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Cron Job';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_currency`
--

CREATE TABLE `mw8a0_redshop_currency` (
  `currency_id` int(11) NOT NULL,
  `currency_name` varchar(64) DEFAULT NULL,
  `currency_code` char(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Currency Detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_customer_question`
--

CREATE TABLE `mw8a0_redshop_customer_question` (
  `id` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `question` longtext NOT NULL,
  `user_id` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `user_email` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `question_date` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `telephone` varchar(50) NOT NULL,
  `address` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Customer Question';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_discount`
--

CREATE TABLE `mw8a0_redshop_discount` (
  `discount_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `condition` tinyint(1) NOT NULL DEFAULT '1',
  `discount_amount` decimal(10,4) NOT NULL,
  `discount_type` tinyint(4) NOT NULL,
  `start_date` double NOT NULL,
  `end_date` double NOT NULL,
  `published` tinyint(4) NOT NULL,
  `name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Discount';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_discount_product`
--

CREATE TABLE `mw8a0_redshop_discount_product` (
  `discount_product_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `condition` tinyint(1) NOT NULL DEFAULT '1',
  `discount_amount` decimal(10,2) NOT NULL,
  `discount_type` tinyint(4) NOT NULL,
  `start_date` double NOT NULL,
  `end_date` double NOT NULL,
  `published` tinyint(4) NOT NULL,
  `category_ids` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_discount_product_shoppers`
--

CREATE TABLE `mw8a0_redshop_discount_product_shoppers` (
  `discount_product_id` int(11) NOT NULL,
  `shopper_group_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_discount_shoppers`
--

CREATE TABLE `mw8a0_redshop_discount_shoppers` (
  `discount_id` int(11) NOT NULL,
  `shopper_group_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_economic_accountgroup`
--

CREATE TABLE `mw8a0_redshop_economic_accountgroup` (
  `accountgroup_id` int(11) NOT NULL,
  `accountgroup_name` varchar(255) NOT NULL,
  `economic_vat_account` varchar(255) NOT NULL,
  `economic_nonvat_account` varchar(255) NOT NULL,
  `economic_discount_nonvat_account` varchar(255) NOT NULL,
  `economic_shipping_vat_account` varchar(255) NOT NULL,
  `economic_shipping_nonvat_account` varchar(255) NOT NULL,
  `economic_discount_product_number` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `economic_service_nonvat_account` varchar(255) NOT NULL,
  `economic_discount_vat_account` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Economic Account Group';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_fields`
--

CREATE TABLE `mw8a0_redshop_fields` (
  `field_id` int(11) NOT NULL,
  `field_title` varchar(250) NOT NULL,
  `field_name` varchar(20) NOT NULL,
  `field_type` varchar(20) NOT NULL,
  `field_desc` longtext NOT NULL,
  `field_class` varchar(20) NOT NULL,
  `field_section` int(11) NOT NULL,
  `field_maxlength` int(11) NOT NULL,
  `field_cols` int(11) NOT NULL,
  `field_rows` int(11) NOT NULL,
  `field_size` tinyint(4) NOT NULL,
  `field_show_in_front` tinyint(4) NOT NULL,
  `required` tinyint(4) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  `display_in_product` tinyint(4) NOT NULL,
  `display_in_checkout` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Fields';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_fields_data`
--

CREATE TABLE `mw8a0_redshop_fields_data` (
  `data_id` int(11) NOT NULL,
  `fieldid` int(11) DEFAULT NULL,
  `data_txt` longtext,
  `itemid` int(11) DEFAULT NULL,
  `section` varchar(20) DEFAULT NULL,
  `alt_text` varchar(255) NOT NULL,
  `image_link` varchar(255) NOT NULL,
  `user_email` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Fields Data';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_fields_value`
--

CREATE TABLE `mw8a0_redshop_fields_value` (
  `value_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `field_value` varchar(250) NOT NULL,
  `field_name` varchar(250) NOT NULL,
  `alt_text` varchar(255) NOT NULL,
  `image_link` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Fields Value';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_giftcard`
--

CREATE TABLE `mw8a0_redshop_giftcard` (
  `giftcard_id` int(11) NOT NULL,
  `giftcard_name` varchar(255) NOT NULL,
  `giftcard_price` decimal(10,3) NOT NULL,
  `giftcard_value` decimal(10,3) NOT NULL,
  `giftcard_validity` int(11) NOT NULL,
  `giftcard_date` int(11) NOT NULL,
  `giftcard_bgimage` varchar(255) NOT NULL,
  `giftcard_image` varchar(255) NOT NULL,
  `published` int(11) NOT NULL,
  `giftcard_desc` longtext NOT NULL,
  `customer_amount` int(11) NOT NULL,
  `accountgroup_id` int(11) NOT NULL,
  `free_shipping` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Giftcard';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_mail`
--

CREATE TABLE `mw8a0_redshop_mail` (
  `mail_id` int(11) NOT NULL,
  `mail_name` varchar(255) NOT NULL,
  `mail_subject` varchar(255) NOT NULL,
  `mail_section` varchar(255) NOT NULL,
  `mail_order_status` varchar(11) NOT NULL,
  `mail_body` longtext NOT NULL,
  `published` tinyint(4) NOT NULL,
  `mail_bcc` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Mail Center';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_manufacturer`
--

CREATE TABLE `mw8a0_redshop_manufacturer` (
  `manufacturer_id` int(11) NOT NULL,
  `manufacturer_name` varchar(250) NOT NULL,
  `manufacturer_desc` longtext NOT NULL,
  `manufacturer_email` varchar(250) NOT NULL,
  `product_per_page` int(11) NOT NULL,
  `template_id` int(11) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metalanguage_setting` text NOT NULL,
  `metarobot_info` text NOT NULL,
  `pagetitle` text NOT NULL,
  `pageheading` text NOT NULL,
  `sef_url` text NOT NULL,
  `published` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `manufacturer_url` varchar(255) NOT NULL,
  `excluding_category_list` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Manufacturer';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_mass_discount`
--

CREATE TABLE `mw8a0_redshop_mass_discount` (
  `id` int(11) NOT NULL,
  `discount_product` longtext NOT NULL,
  `category_id` longtext NOT NULL,
  `manufacturer_id` longtext NOT NULL,
  `type` tinyint(4) NOT NULL,
  `amount` double(10,2) NOT NULL,
  `start_date` int(11) NOT NULL,
  `end_date` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `checked_out` int(11) DEFAULT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Page Viewer';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_media`
--

CREATE TABLE `mw8a0_redshop_media` (
  `media_id` int(11) NOT NULL,
  `media_name` varchar(250) NOT NULL,
  `media_alternate_text` varchar(255) NOT NULL,
  `media_section` varchar(20) NOT NULL,
  `section_id` int(11) NOT NULL,
  `media_type` varchar(250) NOT NULL,
  `media_mimetype` varchar(20) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Media';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_media_download`
--

CREATE TABLE `mw8a0_redshop_media_download` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `media_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Media Additional Downloadable Files';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_newsletter`
--

CREATE TABLE `mw8a0_redshop_newsletter` (
  `newsletter_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `body` longtext NOT NULL,
  `template_id` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Newsletter';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_newsletter_subscription`
--

CREATE TABLE `mw8a0_redshop_newsletter_subscription` (
  `subscription_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `date` int(11) NOT NULL,
  `newsletter_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `checkout` tinyint(4) NOT NULL,
  `published` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Newsletter subscribers';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_newsletter_tracker`
--

CREATE TABLE `mw8a0_redshop_newsletter_tracker` (
  `tracker_id` int(11) NOT NULL,
  `newsletter_id` int(11) NOT NULL,
  `subscription_id` int(11) NOT NULL,
  `subscriber_name` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `read` tinyint(4) NOT NULL,
  `date` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Newsletter Tracker';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_notifystock_users`
--

CREATE TABLE `mw8a0_redshop_notifystock_users` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `property_id` int(11) NOT NULL,
  `subproperty_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `notification_status` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_orderbarcode_log`
--

CREATE TABLE `mw8a0_redshop_orderbarcode_log` (
  `log_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `barcode` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `search_date` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_ordernumber_track`
--

CREATE TABLE `mw8a0_redshop_ordernumber_track` (
  `trackdatetime` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Order number track';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_orders`
--

CREATE TABLE `mw8a0_redshop_orders` (
  `order_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `order_number` varchar(32) DEFAULT NULL,
  `invoice_number_chrono` int(11) NOT NULL COMMENT 'Order invoice number in chronological order',
  `invoice_number` varchar(255) NOT NULL COMMENT 'Formatted Order Invoice for final use',
  `barcode` varchar(13) NOT NULL,
  `user_info_id` varchar(32) DEFAULT NULL,
  `order_total` decimal(15,2) NOT NULL DEFAULT '0.00',
  `order_subtotal` decimal(15,5) DEFAULT NULL,
  `order_tax` decimal(10,2) DEFAULT NULL,
  `order_tax_details` text NOT NULL,
  `order_shipping` decimal(10,2) DEFAULT NULL,
  `order_shipping_tax` decimal(10,2) DEFAULT NULL,
  `coupon_discount` decimal(12,2) NOT NULL DEFAULT '0.00',
  `order_discount` decimal(12,2) NOT NULL DEFAULT '0.00',
  `special_discount_amount` decimal(12,2) NOT NULL,
  `payment_dicount` decimal(12,2) NOT NULL,
  `order_status` varchar(5) DEFAULT NULL,
  `order_payment_status` varchar(25) NOT NULL,
  `cdate` int(11) DEFAULT NULL,
  `mdate` int(11) DEFAULT NULL,
  `ship_method_id` varchar(255) DEFAULT NULL,
  `customer_note` text NOT NULL,
  `ip_address` varchar(15) NOT NULL DEFAULT '',
  `encr_key` varchar(255) NOT NULL,
  `split_payment` int(11) NOT NULL,
  `invoice_no` varchar(255) NOT NULL,
  `mail1_status` tinyint(1) NOT NULL,
  `mail2_status` tinyint(1) NOT NULL,
  `mail3_status` tinyint(1) NOT NULL,
  `special_discount` decimal(10,2) NOT NULL,
  `payment_discount` decimal(10,2) NOT NULL,
  `is_booked` tinyint(1) NOT NULL,
  `order_label_create` tinyint(1) NOT NULL,
  `vm_order_number` varchar(32) NOT NULL,
  `requisition_number` varchar(255) NOT NULL,
  `bookinvoice_number` int(11) NOT NULL,
  `bookinvoice_date` int(11) NOT NULL,
  `referral_code` varchar(50) NOT NULL,
  `customer_message` varchar(255) NOT NULL,
  `shop_id` varchar(255) NOT NULL,
  `order_discount_vat` decimal(10,3) NOT NULL,
  `track_no` varchar(250) NOT NULL,
  `payment_oprand` varchar(50) NOT NULL,
  `discount_type` varchar(255) NOT NULL,
  `analytics_status` int(1) NOT NULL,
  `tax_after_discount` decimal(10,3) NOT NULL,
  `recuuring_subcription_id` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Order Detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_acc_item`
--

CREATE TABLE `mw8a0_redshop_order_acc_item` (
  `order_item_acc_id` int(11) NOT NULL,
  `order_item_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `order_acc_item_sku` varchar(255) NOT NULL,
  `order_acc_item_name` varchar(255) NOT NULL,
  `order_acc_price` decimal(15,4) NOT NULL,
  `order_acc_vat` decimal(15,4) NOT NULL,
  `product_quantity` int(11) NOT NULL,
  `product_acc_item_price` decimal(15,4) NOT NULL,
  `product_acc_final_price` decimal(15,4) NOT NULL,
  `product_attribute` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Order Accessory Item Detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_attribute_item`
--

CREATE TABLE `mw8a0_redshop_order_attribute_item` (
  `order_att_item_id` int(11) NOT NULL,
  `order_item_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  `section` varchar(250) NOT NULL,
  `parent_section_id` int(11) NOT NULL,
  `section_name` varchar(250) NOT NULL,
  `section_price` decimal(15,4) NOT NULL,
  `section_vat` decimal(15,4) NOT NULL,
  `section_oprand` char(1) NOT NULL,
  `is_accessory_att` tinyint(4) NOT NULL,
  `stockroom_id` varchar(255) NOT NULL,
  `stockroom_quantity` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP order Attribute item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_item`
--

CREATE TABLE `mw8a0_redshop_order_item` (
  `order_item_id` int(11) NOT NULL,
  `order_id` int(11) DEFAULT NULL,
  `user_info_id` varchar(32) DEFAULT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `product_id` int(11) DEFAULT NULL,
  `order_item_sku` varchar(64) NOT NULL DEFAULT '',
  `order_item_name` varchar(255) NOT NULL,
  `product_quantity` int(11) DEFAULT NULL,
  `product_item_price` decimal(15,4) DEFAULT NULL,
  `product_item_price_excl_vat` decimal(15,4) DEFAULT NULL,
  `product_final_price` decimal(12,4) NOT NULL DEFAULT '0.0000',
  `order_item_currency` varchar(16) DEFAULT NULL,
  `order_status` varchar(250) DEFAULT NULL,
  `customer_note` text NOT NULL,
  `cdate` int(11) DEFAULT NULL,
  `mdate` int(11) DEFAULT NULL,
  `product_attribute` text,
  `product_accessory` text NOT NULL,
  `delivery_time` int(11) NOT NULL,
  `stockroom_id` varchar(255) NOT NULL,
  `stockroom_quantity` varchar(255) NOT NULL,
  `is_split` tinyint(1) NOT NULL,
  `attribute_image` text NOT NULL,
  `wrapper_id` int(11) NOT NULL,
  `wrapper_price` decimal(10,2) NOT NULL,
  `is_giftcard` tinyint(4) NOT NULL,
  `giftcard_user_name` varchar(255) NOT NULL,
  `giftcard_user_email` varchar(255) NOT NULL,
  `product_item_old_price` decimal(10,4) NOT NULL,
  `product_purchase_price` decimal(10,4) NOT NULL,
  `discount_calc_data` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Order Item Detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_payment`
--

CREATE TABLE `mw8a0_redshop_order_payment` (
  `payment_order_id` bigint(20) NOT NULL,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `payment_method_id` int(11) DEFAULT NULL,
  `order_payment_code` varchar(30) NOT NULL DEFAULT '',
  `order_payment_cardname` blob NOT NULL,
  `order_payment_number` blob,
  `order_payment_ccv` blob NOT NULL,
  `order_payment_amount` double(10,2) NOT NULL,
  `order_payment_expire` int(11) DEFAULT NULL,
  `order_payment_name` varchar(255) DEFAULT NULL,
  `payment_method_class` varchar(256) DEFAULT NULL,
  `order_payment_trans_id` text NOT NULL,
  `authorize_status` varchar(255) DEFAULT NULL,
  `order_transfee` double(10,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Order Payment Detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_status`
--

CREATE TABLE `mw8a0_redshop_order_status` (
  `order_status_id` int(11) NOT NULL,
  `order_status_code` varchar(64) NOT NULL,
  `order_status_name` varchar(64) DEFAULT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '0',
  `checked_out` int(11) DEFAULT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Orders Status';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_status_log`
--

CREATE TABLE `mw8a0_redshop_order_status_log` (
  `order_status_log_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `order_status` varchar(5) NOT NULL,
  `order_payment_status` varchar(25) NOT NULL,
  `date_changed` int(11) NOT NULL,
  `customer_note` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='redSHOP Orders Status history';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_order_users_info`
--

CREATE TABLE `mw8a0_redshop_order_users_info` (
  `order_info_id` int(11) NOT NULL,
  `users_info_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `firstname` varchar(250) NOT NULL,
  `lastname` varchar(250) NOT NULL,
  `address_type` varchar(255) NOT NULL,
  `vat_number` varchar(250) NOT NULL,
  `tax_exempt` tinyint(4) NOT NULL,
  `shopper_group_id` int(11) NOT NULL,
  `address` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `country_code` varchar(11) NOT NULL,
  `state_code` varchar(11) NOT NULL,
  `zipcode` varchar(255) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `tax_exempt_approved` tinyint(1) NOT NULL,
  `approved` tinyint(1) NOT NULL,
  `is_company` tinyint(4) NOT NULL,
  `user_email` varchar(255) NOT NULL,
  `company_name` varchar(255) NOT NULL,
  `ean_number` varchar(250) NOT NULL,
  `requesting_tax_exempt` tinyint(4) NOT NULL,
  `thirdparty_email` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Order User Information';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_pageviewer`
--

CREATE TABLE `mw8a0_redshop_pageviewer` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `session_id` varchar(250) NOT NULL,
  `section` varchar(250) NOT NULL,
  `section_id` int(11) NOT NULL,
  `hit` int(11) NOT NULL,
  `created_date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Page Viewer';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product`
--

CREATE TABLE `mw8a0_redshop_product` (
  `product_id` int(11) NOT NULL,
  `product_parent_id` int(11) NOT NULL,
  `manufacturer_id` int(11) NOT NULL,
  `supplier_id` int(11) NOT NULL,
  `product_on_sale` tinyint(4) NOT NULL,
  `product_special` tinyint(4) NOT NULL,
  `product_download` tinyint(4) NOT NULL,
  `product_template` int(11) NOT NULL,
  `product_name` varchar(250) NOT NULL,
  `product_price` double NOT NULL,
  `discount_price` double NOT NULL,
  `discount_stratdate` int(11) NOT NULL,
  `discount_enddate` int(11) NOT NULL,
  `product_number` varchar(250) NOT NULL,
  `product_type` varchar(20) NOT NULL,
  `product_s_desc` longtext NOT NULL,
  `product_desc` longtext NOT NULL,
  `product_volume` double NOT NULL,
  `product_tax_id` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `product_thumb_image` varchar(250) NOT NULL,
  `product_full_image` varchar(250) NOT NULL,
  `publish_date` datetime NOT NULL,
  `update_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE CURRENT_TIMESTAMP,
  `visited` int(11) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metalanguage_setting` text NOT NULL,
  `metarobot_info` text NOT NULL,
  `pagetitle` text NOT NULL,
  `pageheading` text NOT NULL,
  `sef_url` text NOT NULL,
  `cat_in_sefurl` int(11) NOT NULL,
  `weight` float(10,3) NOT NULL,
  `expired` tinyint(4) NOT NULL,
  `not_for_sale` tinyint(4) NOT NULL,
  `use_discount_calc` tinyint(4) NOT NULL,
  `discount_calc_method` varchar(255) NOT NULL,
  `min_order_product_quantity` int(11) NOT NULL,
  `attribute_set_id` int(11) NOT NULL,
  `product_length` decimal(10,2) NOT NULL,
  `product_height` decimal(10,2) NOT NULL,
  `product_width` decimal(10,2) NOT NULL,
  `product_diameter` decimal(10,2) NOT NULL,
  `product_availability_date` int(11) NOT NULL,
  `use_range` tinyint(4) NOT NULL,
  `product_tax_group_id` int(11) NOT NULL,
  `product_download_days` int(11) NOT NULL,
  `product_download_limit` int(11) NOT NULL,
  `product_download_clock` int(11) NOT NULL,
  `product_download_clock_min` int(11) NOT NULL,
  `accountgroup_id` int(11) NOT NULL,
  `quantity_selectbox_value` varchar(255) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `max_order_product_quantity` int(11) NOT NULL,
  `product_download_infinite` tinyint(4) NOT NULL,
  `product_back_full_image` varchar(250) NOT NULL,
  `product_back_thumb_image` varchar(250) NOT NULL,
  `product_preview_image` varchar(250) NOT NULL,
  `product_preview_back_image` varchar(250) NOT NULL,
  `preorder` varchar(255) NOT NULL,
  `append_to_global_seo` enum('append','prepend','replace') NOT NULL DEFAULT 'append',
  `canonical_url` text NOT NULL,
  `allow_decimal_piece` int(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Products';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_accessory`
--

CREATE TABLE `mw8a0_redshop_product_accessory` (
  `accessory_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `child_product_id` int(11) NOT NULL,
  `accessory_price` double NOT NULL,
  `oprand` char(1) NOT NULL,
  `setdefault_selected` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  `category_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Products Accessory';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_attribute`
--

CREATE TABLE `mw8a0_redshop_product_attribute` (
  `attribute_id` int(11) NOT NULL,
  `attribute_name` varchar(250) NOT NULL,
  `attribute_required` tinyint(4) NOT NULL,
  `allow_multiple_selection` tinyint(1) NOT NULL,
  `hide_attribute_price` tinyint(1) NOT NULL,
  `product_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `attribute_set_id` int(11) NOT NULL,
  `display_type` varchar(255) NOT NULL,
  `attribute_published` int(11) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Products Attribute';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_attribute_price`
--

CREATE TABLE `mw8a0_redshop_product_attribute_price` (
  `price_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  `section` varchar(255) NOT NULL,
  `product_price` double NOT NULL,
  `product_currency` varchar(10) NOT NULL,
  `cdate` int(11) NOT NULL,
  `shopper_group_id` int(11) NOT NULL,
  `price_quantity_start` int(11) NOT NULL,
  `price_quantity_end` bigint(20) NOT NULL,
  `discount_price` double NOT NULL,
  `discount_start_date` int(11) NOT NULL,
  `discount_end_date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Attribute Price';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_attribute_property`
--

CREATE TABLE `mw8a0_redshop_product_attribute_property` (
  `property_id` int(11) NOT NULL,
  `attribute_id` int(11) NOT NULL,
  `property_name` varchar(255) NOT NULL,
  `property_price` double NOT NULL,
  `oprand` char(1) NOT NULL DEFAULT '+',
  `property_image` varchar(255) NOT NULL,
  `property_main_image` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  `setdefault_selected` tinyint(4) NOT NULL,
  `setrequire_selected` tinyint(3) NOT NULL,
  `setmulti_selected` tinyint(4) NOT NULL,
  `setdisplay_type` varchar(255) NOT NULL,
  `property_number` varchar(255) NOT NULL,
  `property_published` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Products Attribute Property';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_attribute_stockroom_xref`
--

CREATE TABLE `mw8a0_redshop_product_attribute_stockroom_xref` (
  `section_id` int(11) NOT NULL,
  `section` varchar(255) NOT NULL,
  `stockroom_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `preorder_stock` int(11) NOT NULL,
  `ordered_preorder` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Attribute Stockroom relation';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_category_xref`
--

CREATE TABLE `mw8a0_redshop_product_category_xref` (
  `category_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Category Relation';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_compare`
--

CREATE TABLE `mw8a0_redshop_product_compare` (
  `compare_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Comparision';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_discount_calc`
--

CREATE TABLE `mw8a0_redshop_product_discount_calc` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `area_start` float(10,2) NOT NULL,
  `area_end` float(10,2) NOT NULL,
  `area_price` double NOT NULL,
  `discount_calc_unit` varchar(255) NOT NULL,
  `area_start_converted` float(20,8) NOT NULL,
  `area_end_converted` float(20,8) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Discount Calculator';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_discount_calc_extra`
--

CREATE TABLE `mw8a0_redshop_product_discount_calc_extra` (
  `pdcextra_id` int(11) NOT NULL,
  `option_name` varchar(255) NOT NULL,
  `oprand` char(1) NOT NULL,
  `price` float(10,2) NOT NULL,
  `product_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Discount Calculator Extra Value';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_download`
--

CREATE TABLE `mw8a0_redshop_product_download` (
  `product_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `end_date` int(11) NOT NULL DEFAULT '0',
  `download_max` int(11) NOT NULL DEFAULT '0',
  `download_id` varchar(255) NOT NULL DEFAULT '',
  `file_name` varchar(255) NOT NULL DEFAULT '',
  `product_serial_number` varchar(255) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Downloadable Products';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_download_log`
--

CREATE TABLE `mw8a0_redshop_product_download_log` (
  `user_id` int(11) NOT NULL,
  `download_id` varchar(32) NOT NULL,
  `download_time` int(11) NOT NULL,
  `ip` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='redSHOP Downloadable Products Logs';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_price`
--

CREATE TABLE `mw8a0_redshop_product_price` (
  `price_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `product_price` decimal(12,4) NOT NULL,
  `product_currency` varchar(10) CHARACTER SET latin1 NOT NULL,
  `cdate` date NOT NULL,
  `shopper_group_id` int(11) NOT NULL,
  `price_quantity_start` int(11) NOT NULL,
  `price_quantity_end` bigint(20) NOT NULL,
  `discount_price` decimal(12,4) NOT NULL,
  `discount_start_date` int(11) NOT NULL,
  `discount_end_date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Price';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_rating`
--

CREATE TABLE `mw8a0_redshop_product_rating` (
  `rating_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `comment` text NOT NULL,
  `userid` int(11) NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL DEFAULT '0',
  `user_rating` tinyint(1) NOT NULL DEFAULT '0',
  `favoured` tinyint(4) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `email` varchar(200) NOT NULL,
  `username` varchar(255) NOT NULL,
  `company_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_related`
--

CREATE TABLE `mw8a0_redshop_product_related` (
  `related_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Related Products';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_serial_number`
--

CREATE TABLE `mw8a0_redshop_product_serial_number` (
  `serial_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `serial_number` varchar(255) NOT NULL,
  `is_used` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP downloadable product serial numbers';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_stockroom_xref`
--

CREATE TABLE `mw8a0_redshop_product_stockroom_xref` (
  `product_id` int(11) NOT NULL,
  `stockroom_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `preorder_stock` int(11) NOT NULL,
  `ordered_preorder` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Products Stockroom Relation';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_subattribute_color`
--

CREATE TABLE `mw8a0_redshop_product_subattribute_color` (
  `subattribute_color_id` int(11) NOT NULL,
  `subattribute_color_name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `subattribute_color_price` double NOT NULL,
  `oprand` char(1) CHARACTER SET latin1 NOT NULL,
  `subattribute_color_image` varchar(255) CHARACTER SET latin1 NOT NULL,
  `subattribute_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `setdefault_selected` tinyint(4) NOT NULL,
  `subattribute_color_number` varchar(255) CHARACTER SET latin1 NOT NULL,
  `subattribute_color_title` varchar(255) NOT NULL,
  `subattribute_color_main_image` varchar(255) CHARACTER SET latin1 NOT NULL,
  `subattribute_published` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Product Subattribute Color';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_subscribe_detail`
--

CREATE TABLE `mw8a0_redshop_product_subscribe_detail` (
  `product_subscribe_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `subscription_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `start_date` int(11) NOT NULL,
  `end_date` int(11) NOT NULL,
  `order_item_id` int(11) NOT NULL,
  `renewal_reminder` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP User product Subscribe detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_subscription`
--

CREATE TABLE `mw8a0_redshop_product_subscription` (
  `subscription_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `subscription_period` int(11) NOT NULL,
  `period_type` varchar(10) NOT NULL,
  `subscription_price` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Subscription';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_tags`
--

CREATE TABLE `mw8a0_redshop_product_tags` (
  `tags_id` int(11) NOT NULL,
  `tags_name` varchar(255) NOT NULL,
  `tags_counter` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Product Tags';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_tags_xref`
--

CREATE TABLE `mw8a0_redshop_product_tags_xref` (
  `tags_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Product Tags Relation With product and user';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_voucher`
--

CREATE TABLE `mw8a0_redshop_product_voucher` (
  `voucher_id` int(11) NOT NULL,
  `voucher_code` varchar(255) NOT NULL,
  `amount` decimal(12,2) NOT NULL DEFAULT '0.00',
  `voucher_type` varchar(250) NOT NULL,
  `start_date` double NOT NULL,
  `end_date` double NOT NULL,
  `free_shipping` tinyint(4) NOT NULL,
  `voucher_left` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Voucher';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_voucher_transaction`
--

CREATE TABLE `mw8a0_redshop_product_voucher_transaction` (
  `transaction_voucher_id` int(11) NOT NULL,
  `voucher_id` int(11) NOT NULL,
  `voucher_code` varchar(255) NOT NULL,
  `amount` decimal(10,3) NOT NULL,
  `user_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `trancation_date` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `product_id` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Product Voucher Transaction';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_product_voucher_xref`
--

CREATE TABLE `mw8a0_redshop_product_voucher_xref` (
  `voucher_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Products Voucher Relation';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_quotation`
--

CREATE TABLE `mw8a0_redshop_quotation` (
  `quotation_id` int(11) NOT NULL,
  `quotation_number` varchar(50) NOT NULL,
  `user_id` int(11) NOT NULL,
  `user_info_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `quotation_total` decimal(15,2) NOT NULL,
  `quotation_subtotal` decimal(15,2) NOT NULL,
  `quotation_tax` decimal(15,2) NOT NULL,
  `quotation_discount` decimal(15,4) NOT NULL,
  `quotation_status` int(11) NOT NULL,
  `quotation_cdate` int(11) NOT NULL,
  `quotation_mdate` int(11) NOT NULL,
  `quotation_note` text NOT NULL,
  `quotation_customer_note` text NOT NULL,
  `quotation_ipaddress` varchar(20) NOT NULL,
  `quotation_encrkey` varchar(255) NOT NULL,
  `user_email` varchar(255) NOT NULL,
  `quotation_special_discount` decimal(15,4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Quotation';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_quotation_accessory_item`
--

CREATE TABLE `mw8a0_redshop_quotation_accessory_item` (
  `quotation_item_acc_id` int(11) NOT NULL,
  `quotation_item_id` int(11) NOT NULL,
  `accessory_id` int(11) NOT NULL,
  `accessory_item_sku` varchar(255) NOT NULL,
  `accessory_item_name` varchar(255) NOT NULL,
  `accessory_price` decimal(15,4) NOT NULL,
  `accessory_vat` decimal(15,4) NOT NULL,
  `accessory_quantity` int(11) NOT NULL,
  `accessory_item_price` decimal(15,2) NOT NULL,
  `accessory_final_price` decimal(15,2) NOT NULL,
  `accessory_attribute` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Quotation Accessory item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_quotation_attribute_item`
--

CREATE TABLE `mw8a0_redshop_quotation_attribute_item` (
  `quotation_att_item_id` int(11) NOT NULL,
  `quotation_item_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  `section` varchar(250) NOT NULL,
  `parent_section_id` int(11) NOT NULL,
  `section_name` varchar(250) NOT NULL,
  `section_price` decimal(15,4) NOT NULL,
  `section_vat` decimal(15,4) NOT NULL,
  `section_oprand` char(1) NOT NULL,
  `is_accessory_att` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Quotation Attribute item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_quotation_fields_data`
--

CREATE TABLE `mw8a0_redshop_quotation_fields_data` (
  `data_id` int(11) NOT NULL,
  `fieldid` int(11) DEFAULT NULL,
  `data_txt` longtext,
  `quotation_item_id` int(11) DEFAULT NULL,
  `section` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Quotation USer field';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_quotation_item`
--

CREATE TABLE `mw8a0_redshop_quotation_item` (
  `quotation_item_id` int(11) NOT NULL,
  `quotation_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `product_name` varchar(255) NOT NULL,
  `product_price` decimal(15,4) NOT NULL,
  `product_excl_price` decimal(15,4) NOT NULL,
  `product_final_price` decimal(15,4) NOT NULL,
  `actualitem_price` decimal(15,4) NOT NULL,
  `product_quantity` int(11) NOT NULL,
  `product_attribute` text NOT NULL,
  `product_accessory` text NOT NULL,
  `mycart_accessory` text NOT NULL,
  `product_wrapperid` int(11) NOT NULL,
  `wrapper_price` decimal(15,2) NOT NULL,
  `is_giftcard` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Quotation Item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_sample_request`
--

CREATE TABLE `mw8a0_redshop_sample_request` (
  `request_id` int(11) NOT NULL,
  `name` varchar(250) NOT NULL,
  `email` varchar(250) NOT NULL,
  `colour_id` varchar(250) NOT NULL,
  `block` tinyint(4) NOT NULL,
  `reminder_1` tinyint(1) NOT NULL,
  `reminder_2` tinyint(1) NOT NULL,
  `reminder_3` tinyint(1) NOT NULL,
  `reminder_coupon` tinyint(1) NOT NULL,
  `registerdate` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Sample Request';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_shipping_boxes`
--

CREATE TABLE `mw8a0_redshop_shipping_boxes` (
  `shipping_box_id` int(11) NOT NULL,
  `shipping_box_name` varchar(255) NOT NULL,
  `shipping_box_length` decimal(10,2) NOT NULL,
  `shipping_box_width` decimal(10,2) NOT NULL,
  `shipping_box_height` decimal(10,2) NOT NULL,
  `shipping_box_priority` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Shipping Boxes';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_shipping_rate`
--

CREATE TABLE `mw8a0_redshop_shipping_rate` (
  `shipping_rate_id` int(11) NOT NULL,
  `shipping_rate_name` varchar(255) NOT NULL DEFAULT '',
  `shipping_class` varchar(255) NOT NULL DEFAULT '',
  `shipping_rate_country` longtext NOT NULL,
  `shipping_rate_zip_start` varchar(20) NOT NULL,
  `shipping_rate_zip_end` varchar(20) NOT NULL,
  `shipping_rate_weight_start` decimal(10,2) NOT NULL,
  `company_only` tinyint(4) NOT NULL,
  `apply_vat` tinyint(4) NOT NULL,
  `shipping_rate_weight_end` decimal(10,2) NOT NULL,
  `shipping_rate_volume_start` decimal(10,2) NOT NULL,
  `shipping_rate_volume_end` decimal(10,2) NOT NULL,
  `shipping_rate_ordertotal_start` decimal(10,3) NOT NULL DEFAULT '0.000',
  `shipping_rate_ordertotal_end` decimal(10,3) NOT NULL,
  `shipping_rate_priority` tinyint(4) NOT NULL DEFAULT '0',
  `shipping_rate_value` decimal(10,2) NOT NULL DEFAULT '0.00',
  `shipping_rate_package_fee` decimal(10,2) NOT NULL DEFAULT '0.00',
  `shipping_location_info` longtext NOT NULL,
  `shipping_rate_length_start` decimal(10,2) NOT NULL,
  `shipping_rate_length_end` decimal(10,2) NOT NULL,
  `shipping_rate_width_start` decimal(10,2) NOT NULL,
  `shipping_rate_width_end` decimal(10,2) NOT NULL,
  `shipping_rate_height_start` decimal(10,2) NOT NULL,
  `shipping_rate_height_end` decimal(10,2) NOT NULL,
  `shipping_rate_on_shopper_group` longtext NOT NULL,
  `consignor_carrier_code` varchar(255) NOT NULL,
  `shipping_rate_on_product` longtext NOT NULL,
  `shipping_rate_on_category` longtext NOT NULL,
  `shipping_tax_group_id` int(11) NOT NULL,
  `shipping_rate_state` longtext NOT NULL,
  `economic_displaynumber` varchar(255) NOT NULL,
  `deliver_type` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Shipping Rates';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_shopper_group`
--

CREATE TABLE `mw8a0_redshop_shopper_group` (
  `shopper_group_id` int(11) NOT NULL,
  `shopper_group_name` varchar(32) DEFAULT NULL,
  `shopper_group_customer_type` tinyint(4) NOT NULL,
  `shopper_group_portal` tinyint(4) NOT NULL,
  `shopper_group_categories` longtext NOT NULL,
  `shopper_group_url` varchar(255) NOT NULL,
  `shopper_group_logo` varchar(255) NOT NULL,
  `shopper_group_introtext` longtext NOT NULL,
  `shopper_group_desc` text,
  `parent_id` int(11) NOT NULL,
  `default_shipping` tinyint(4) NOT NULL,
  `default_shipping_rate` float(10,2) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `shopper_group_cart_checkout_itemid` int(11) NOT NULL,
  `shopper_group_cart_itemid` int(11) NOT NULL,
  `shopper_group_quotation_mode` tinyint(4) NOT NULL,
  `show_price_without_vat` tinyint(4) NOT NULL,
  `tax_group_id` int(11) NOT NULL,
  `apply_product_price_vat` int(11) NOT NULL,
  `show_price` varchar(255) NOT NULL DEFAULT 'global',
  `use_as_catalog` varchar(255) NOT NULL DEFAULT 'global',
  `shopper_group_manufactures` text NOT NULL,
  `is_logged_in` int(11) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Shopper Groups that users can be assigned to';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_siteviewer`
--

CREATE TABLE `mw8a0_redshop_siteviewer` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `session_id` varchar(250) NOT NULL,
  `created_date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Site Viewer';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_state`
--

CREATE TABLE `mw8a0_redshop_state` (
  `id` int(11) NOT NULL,
  `country_id` int(11) DEFAULT NULL,
  `state_name` varchar(64) DEFAULT NULL,
  `state_3_code` char(3) DEFAULT NULL,
  `state_2_code` char(2) DEFAULT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `show_state` int(11) NOT NULL DEFAULT '2'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='States that are assigned to a country';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_stockroom`
--

CREATE TABLE `mw8a0_redshop_stockroom` (
  `stockroom_id` int(11) NOT NULL,
  `stockroom_name` varchar(250) NOT NULL,
  `min_stock_amount` int(11) NOT NULL,
  `stockroom_desc` longtext NOT NULL,
  `creation_date` double NOT NULL,
  `min_del_time` int(11) NOT NULL,
  `max_del_time` int(11) NOT NULL,
  `show_in_front` tinyint(1) NOT NULL,
  `delivery_time` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Stockroom';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_stockroom_amount_image`
--

CREATE TABLE `mw8a0_redshop_stockroom_amount_image` (
  `stock_amount_id` int(11) NOT NULL,
  `stockroom_id` int(11) NOT NULL,
  `stock_option` tinyint(4) NOT NULL,
  `stock_quantity` int(11) NOT NULL,
  `stock_amount_image` varchar(255) NOT NULL,
  `stock_amount_image_tooltip` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP stockroom amount image';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_subscription_renewal`
--

CREATE TABLE `mw8a0_redshop_subscription_renewal` (
  `renewal_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `before_no_days` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Subscription Renewal';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_supplier`
--

CREATE TABLE `mw8a0_redshop_supplier` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `email` varchar(255) NOT NULL DEFAULT '',
  `published` tinyint(4) NOT NULL DEFAULT '0',
  `checked_out` int(11) DEFAULT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='redSHOP Supplier';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_tax_group`
--

CREATE TABLE `mw8a0_redshop_tax_group` (
  `tax_group_id` int(11) NOT NULL,
  `tax_group_name` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Tax Group';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_tax_rate`
--

CREATE TABLE `mw8a0_redshop_tax_rate` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `tax_state` varchar(64) DEFAULT NULL,
  `tax_country` varchar(64) DEFAULT NULL,
  `mdate` int(11) DEFAULT NULL,
  `tax_rate` decimal(10,4) DEFAULT NULL,
  `tax_group_id` int(11) NOT NULL,
  `is_eu_country` tinyint(4) NOT NULL,
  `checked_out` int(11) DEFAULT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Tax Rates';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_template`
--

CREATE TABLE `mw8a0_redshop_template` (
  `template_id` int(11) NOT NULL,
  `template_name` varchar(250) NOT NULL,
  `template_section` varchar(250) NOT NULL,
  `template_desc` longtext NOT NULL,
  `order_status` varchar(250) NOT NULL,
  `payment_methods` varchar(250) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `shipping_methods` varchar(255) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Templates Detail';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_textlibrary`
--

CREATE TABLE `mw8a0_redshop_textlibrary` (
  `textlibrary_id` int(11) NOT NULL,
  `text_name` varchar(255) DEFAULT NULL,
  `text_desc` varchar(255) DEFAULT NULL,
  `text_field` text,
  `section` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP TextLibrary';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_usercart`
--

CREATE TABLE `mw8a0_redshop_usercart` (
  `cart_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `cdate` int(11) NOT NULL,
  `mdate` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP User Cart Item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_usercart_accessory_item`
--

CREATE TABLE `mw8a0_redshop_usercart_accessory_item` (
  `cart_acc_item_id` int(11) NOT NULL,
  `cart_item_id` int(11) NOT NULL,
  `accessory_id` int(11) NOT NULL,
  `accessory_quantity` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP User Cart Accessory Item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_usercart_attribute_item`
--

CREATE TABLE `mw8a0_redshop_usercart_attribute_item` (
  `cart_att_item_id` int(11) NOT NULL,
  `cart_item_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  `section` varchar(25) NOT NULL,
  `parent_section_id` int(11) NOT NULL,
  `is_accessory_att` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP User cart Attribute Item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_usercart_item`
--

CREATE TABLE `mw8a0_redshop_usercart_item` (
  `cart_item_id` int(11) NOT NULL,
  `cart_idx` int(11) NOT NULL,
  `cart_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `product_quantity` int(11) NOT NULL,
  `product_wrapper_id` int(11) NOT NULL,
  `product_subscription_id` int(11) NOT NULL,
  `giftcard_id` int(11) NOT NULL,
  `attribs` varchar(5120) NOT NULL COMMENT 'Specified user attributes related with current item'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP User Cart Item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_users_info`
--

CREATE TABLE `mw8a0_redshop_users_info` (
  `users_info_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `user_email` varchar(255) NOT NULL,
  `address_type` varchar(11) NOT NULL,
  `firstname` varchar(250) NOT NULL,
  `lastname` varchar(250) NOT NULL,
  `vat_number` varchar(250) NOT NULL,
  `tax_exempt` tinyint(4) NOT NULL,
  `shopper_group_id` int(11) NOT NULL,
  `country_code` varchar(11) NOT NULL,
  `address` varchar(255) NOT NULL,
  `city` varchar(50) NOT NULL,
  `state_code` varchar(11) NOT NULL,
  `zipcode` varchar(255) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `tax_exempt_approved` tinyint(1) NOT NULL,
  `approved` tinyint(1) NOT NULL,
  `is_company` tinyint(4) NOT NULL,
  `ean_number` varchar(250) NOT NULL,
  `braintree_vault_number` varchar(255) NOT NULL,
  `veis_vat_number` varchar(255) NOT NULL,
  `veis_status` varchar(255) NOT NULL,
  `company_name` varchar(255) NOT NULL,
  `requesting_tax_exempt` tinyint(4) NOT NULL,
  `accept_terms_conditions` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Users Information';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_wishlist`
--

CREATE TABLE `mw8a0_redshop_wishlist` (
  `wishlist_id` int(11) NOT NULL,
  `wishlist_name` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `comment` mediumtext NOT NULL,
  `cdate` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP wishlist';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_wishlist_product`
--

CREATE TABLE `mw8a0_redshop_wishlist_product` (
  `wishlist_product_id` int(11) NOT NULL,
  `wishlist_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `cdate` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Wishlist Product';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_wishlist_product_item`
--

CREATE TABLE `mw8a0_redshop_wishlist_product_item` (
  `id` int(11) NOT NULL COMMENT 'Primary key',
  `ref_id` int(11) NOT NULL COMMENT 'Wishlist Reference ID',
  `attribute_id` int(11) DEFAULT NULL COMMENT 'Product Attribute ID',
  `property_id` int(11) DEFAULT NULL COMMENT 'Product Attribute Property ID',
  `subattribute_id` int(11) DEFAULT NULL COMMENT 'Product Sub-Attribute ID'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Wishlist product item';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_wishlist_userfielddata`
--

CREATE TABLE `mw8a0_redshop_wishlist_userfielddata` (
  `fieldid` int(11) NOT NULL,
  `wishlist_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `userfielddata` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Wishlist Product userfielddata';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_wrapper`
--

CREATE TABLE `mw8a0_redshop_wrapper` (
  `wrapper_id` int(11) NOT NULL,
  `product_id` varchar(255) NOT NULL,
  `category_id` varchar(250) NOT NULL,
  `wrapper_name` varchar(255) NOT NULL,
  `wrapper_price` double NOT NULL,
  `wrapper_image` varchar(255) NOT NULL,
  `createdate` int(11) NOT NULL,
  `wrapper_use_to_all` tinyint(4) NOT NULL,
  `published` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP Wrapper';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_xml_export`
--

CREATE TABLE `mw8a0_redshop_xml_export` (
  `xmlexport_id` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `display_filename` varchar(255) NOT NULL,
  `parent_name` varchar(255) NOT NULL,
  `section_type` varchar(255) NOT NULL,
  `auto_sync` tinyint(4) NOT NULL,
  `sync_on_request` tinyint(4) NOT NULL,
  `auto_sync_interval` int(11) NOT NULL,
  `xmlexport_date` int(11) NOT NULL,
  `xmlexport_filetag` text NOT NULL,
  `element_name` varchar(255) DEFAULT NULL,
  `published` tinyint(4) NOT NULL,
  `use_to_all_users` tinyint(4) NOT NULL,
  `xmlexport_billingtag` text NOT NULL,
  `billing_element_name` varchar(255) NOT NULL,
  `xmlexport_shippingtag` text NOT NULL,
  `shipping_element_name` varchar(255) NOT NULL,
  `xmlexport_orderitemtag` text NOT NULL,
  `orderitem_element_name` varchar(255) NOT NULL,
  `xmlexport_stocktag` text NOT NULL,
  `stock_element_name` varchar(255) NOT NULL,
  `xmlexport_prdextrafieldtag` text NOT NULL,
  `prdextrafield_element_name` varchar(255) NOT NULL,
  `xmlexport_on_category` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP XML Export';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_xml_export_ipaddress`
--

CREATE TABLE `mw8a0_redshop_xml_export_ipaddress` (
  `xmlexport_ip_id` int(11) NOT NULL,
  `xmlexport_id` int(11) NOT NULL,
  `access_ipaddress` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP XML Export Ip Address';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_xml_export_log`
--

CREATE TABLE `mw8a0_redshop_xml_export_log` (
  `xmlexport_log_id` int(11) NOT NULL,
  `xmlexport_id` int(11) NOT NULL,
  `xmlexport_filename` varchar(255) NOT NULL,
  `xmlexport_date` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='redSHOP XML Export log';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_xml_import`
--

CREATE TABLE `mw8a0_redshop_xml_import` (
  `xmlimport_id` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `display_filename` varchar(255) NOT NULL,
  `xmlimport_url` varchar(255) NOT NULL,
  `section_type` varchar(255) NOT NULL,
  `auto_sync` tinyint(4) NOT NULL,
  `sync_on_request` tinyint(4) NOT NULL,
  `auto_sync_interval` int(11) NOT NULL,
  `override_existing` tinyint(4) NOT NULL,
  `add_prefix_for_existing` varchar(50) NOT NULL,
  `xmlimport_date` int(11) NOT NULL,
  `xmlimport_filetag` text NOT NULL,
  `xmlimport_billingtag` text NOT NULL,
  `xmlimport_shippingtag` text NOT NULL,
  `xmlimport_orderitemtag` text NOT NULL,
  `xmlimport_stocktag` text NOT NULL,
  `xmlimport_prdextrafieldtag` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `element_name` varchar(255) NOT NULL,
  `billing_element_name` varchar(255) NOT NULL,
  `shipping_element_name` varchar(255) NOT NULL,
  `orderitem_element_name` varchar(255) NOT NULL,
  `stock_element_name` varchar(255) NOT NULL,
  `prdextrafield_element_name` varchar(255) NOT NULL,
  `xmlexport_billingtag` text NOT NULL,
  `xmlexport_shippingtag` text NOT NULL,
  `xmlexport_orderitemtag` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='redSHOP XML Import';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_xml_import_log`
--

CREATE TABLE `mw8a0_redshop_xml_import_log` (
  `xmlimport_log_id` int(11) NOT NULL,
  `xmlimport_id` int(11) NOT NULL,
  `xmlimport_filename` varchar(255) NOT NULL,
  `xmlimport_date` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='redSHOP XML Import log';

-- --------------------------------------------------------

--
-- Table structure for table `mw8a0_redshop_zipcode`
--

CREATE TABLE `mw8a0_redshop_zipcode` (
  `zipcode_id` int(11) NOT NULL,
  `country_code` varchar(10) NOT NULL DEFAULT '',
  `state_code` varchar(10) NOT NULL DEFAULT '',
  `city_name` varchar(64) DEFAULT NULL,
  `zipcode` varchar(255) DEFAULT NULL,
  `zipcodeto` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `mw8a0_redshop_accessmanager`
--
ALTER TABLE `mw8a0_redshop_accessmanager`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_section_name` (`section_name`(255)),
  ADD KEY `idx_gid` (`gid`),
  ADD KEY `idx_view` (`view`),
  ADD KEY `idx_add` (`add`),
  ADD KEY `idx_edit` (`edit`),
  ADD KEY `idx_delete` (`delete`);

--
-- Indexes for table `mw8a0_redshop_alerts`
--
ALTER TABLE `mw8a0_redshop_alerts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mw8a0_redshop_attribute_set`
--
ALTER TABLE `mw8a0_redshop_attribute_set`
  ADD PRIMARY KEY (`attribute_set_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_cart`
--
ALTER TABLE `mw8a0_redshop_cart`
  ADD PRIMARY KEY (`session_id`,`product_id`,`section`),
  ADD KEY `idx_session_id` (`session_id`),
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_section` (`section`),
  ADD KEY `idx_time` (`time`);

--
-- Indexes for table `mw8a0_redshop_catalog`
--
ALTER TABLE `mw8a0_redshop_catalog`
  ADD PRIMARY KEY (`catalog_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_catalog_colour`
--
ALTER TABLE `mw8a0_redshop_catalog_colour`
  ADD PRIMARY KEY (`colour_id`),
  ADD KEY `idx_sample_id` (`sample_id`);

--
-- Indexes for table `mw8a0_redshop_catalog_request`
--
ALTER TABLE `mw8a0_redshop_catalog_request`
  ADD PRIMARY KEY (`catalog_user_id`),
  ADD KEY `idx_block` (`block`);

--
-- Indexes for table `mw8a0_redshop_catalog_sample`
--
ALTER TABLE `mw8a0_redshop_catalog_sample`
  ADD PRIMARY KEY (`sample_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_category`
--
ALTER TABLE `mw8a0_redshop_category`
  ADD PRIMARY KEY (`category_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_category_xref`
--
ALTER TABLE `mw8a0_redshop_category_xref`
  ADD KEY `category_xref_category_parent_id` (`category_parent_id`),
  ADD KEY `category_xref_category_child_id` (`category_child_id`);

--
-- Indexes for table `mw8a0_redshop_country`
--
ALTER TABLE `mw8a0_redshop_country`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `mw8a0_rs_idx_country_3_code` (`country_3_code`),
  ADD UNIQUE KEY `mw8a0_rs_idx_country_2_code` (`country_2_code`);

--
-- Indexes for table `mw8a0_redshop_coupons`
--
ALTER TABLE `mw8a0_redshop_coupons`
  ADD PRIMARY KEY (`coupon_id`),
  ADD KEY `idx_coupon_code` (`coupon_code`),
  ADD KEY `idx_percent_or_total` (`percent_or_total`),
  ADD KEY `idx_start_date` (`start_date`),
  ADD KEY `idx_end_date` (`end_date`),
  ADD KEY `idx_coupon_type` (`coupon_type`),
  ADD KEY `idx_userid` (`userid`),
  ADD KEY `idx_coupon_left` (`coupon_left`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_subtotal` (`subtotal`),
  ADD KEY `idx_order_id` (`order_id`);

--
-- Indexes for table `mw8a0_redshop_coupons_transaction`
--
ALTER TABLE `mw8a0_redshop_coupons_transaction`
  ADD PRIMARY KEY (`transaction_coupon_id`),
  ADD KEY `idx_coupon_id` (`coupon_id`),
  ADD KEY `idx_coupon_code` (`coupon_code`),
  ADD KEY `idx_coupon_value` (`coupon_value`),
  ADD KEY `idx_userid` (`userid`);

--
-- Indexes for table `mw8a0_redshop_cron`
--
ALTER TABLE `mw8a0_redshop_cron`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_date` (`date`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_currency`
--
ALTER TABLE `mw8a0_redshop_currency`
  ADD PRIMARY KEY (`currency_id`),
  ADD KEY `idx_currency_code` (`currency_code`);

--
-- Indexes for table `mw8a0_redshop_customer_question`
--
ALTER TABLE `mw8a0_redshop_customer_question`
  ADD PRIMARY KEY (`id`),
  ADD KEY `mw8a0_rs_idx_published` (`published`),
  ADD KEY `mw8a0_rs_idx_product_id` (`product_id`),
  ADD KEY `mw8a0_rs_idx_parent_id` (`parent_id`);

--
-- Indexes for table `mw8a0_redshop_discount`
--
ALTER TABLE `mw8a0_redshop_discount`
  ADD PRIMARY KEY (`discount_id`),
  ADD KEY `idx_start_date` (`start_date`),
  ADD KEY `idx_end_date` (`end_date`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_discount_name` (`name`);

--
-- Indexes for table `mw8a0_redshop_discount_product`
--
ALTER TABLE `mw8a0_redshop_discount_product`
  ADD PRIMARY KEY (`discount_product_id`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_start_date` (`start_date`),
  ADD KEY `idx_end_date` (`end_date`);

--
-- Indexes for table `mw8a0_redshop_discount_product_shoppers`
--
ALTER TABLE `mw8a0_redshop_discount_product_shoppers`
  ADD KEY `idx_discount_product_id` (`discount_product_id`),
  ADD KEY `idx_shopper_group_id` (`shopper_group_id`);

--
-- Indexes for table `mw8a0_redshop_discount_shoppers`
--
ALTER TABLE `mw8a0_redshop_discount_shoppers`
  ADD KEY `idx_discount_id` (`discount_id`),
  ADD KEY `idx_shopper_group_id` (`shopper_group_id`);

--
-- Indexes for table `mw8a0_redshop_economic_accountgroup`
--
ALTER TABLE `mw8a0_redshop_economic_accountgroup`
  ADD PRIMARY KEY (`accountgroup_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_fields`
--
ALTER TABLE `mw8a0_redshop_fields`
  ADD PRIMARY KEY (`field_id`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_field_section` (`field_section`),
  ADD KEY `idx_field_type` (`field_type`),
  ADD KEY `idx_required` (`required`),
  ADD KEY `idx_field_name` (`field_name`),
  ADD KEY `idx_field_show_in_front` (`field_show_in_front`),
  ADD KEY `idx_display_in_product` (`display_in_product`);

--
-- Indexes for table `mw8a0_redshop_fields_data`
--
ALTER TABLE `mw8a0_redshop_fields_data`
  ADD PRIMARY KEY (`data_id`),
  ADD KEY `itemid` (`itemid`),
  ADD KEY `idx_fieldid` (`fieldid`),
  ADD KEY `idx_itemid` (`itemid`),
  ADD KEY `idx_section` (`section`);

--
-- Indexes for table `mw8a0_redshop_fields_value`
--
ALTER TABLE `mw8a0_redshop_fields_value`
  ADD PRIMARY KEY (`value_id`),
  ADD KEY `idx_field_id` (`field_id`);

--
-- Indexes for table `mw8a0_redshop_giftcard`
--
ALTER TABLE `mw8a0_redshop_giftcard`
  ADD PRIMARY KEY (`giftcard_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_mail`
--
ALTER TABLE `mw8a0_redshop_mail`
  ADD PRIMARY KEY (`mail_id`),
  ADD KEY `idx_mail_section` (`mail_section`),
  ADD KEY `idx_mail_order_status` (`mail_order_status`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_manufacturer`
--
ALTER TABLE `mw8a0_redshop_manufacturer`
  ADD PRIMARY KEY (`manufacturer_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_mass_discount`
--
ALTER TABLE `mw8a0_redshop_mass_discount`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mw8a0_redshop_media`
--
ALTER TABLE `mw8a0_redshop_media`
  ADD PRIMARY KEY (`media_id`),
  ADD KEY `idx_section_id` (`section_id`),
  ADD KEY `idx_media_section` (`media_section`),
  ADD KEY `idx_media_type` (`media_type`),
  ADD KEY `idx_media_name` (`media_name`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `mw8a0_rs_idx_media_common` (`section_id`,`media_section`,`media_type`,`published`,`ordering`) USING BTREE;

--
-- Indexes for table `mw8a0_redshop_media_download`
--
ALTER TABLE `mw8a0_redshop_media_download`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_media_id` (`media_id`);

--
-- Indexes for table `mw8a0_redshop_newsletter`
--
ALTER TABLE `mw8a0_redshop_newsletter`
  ADD PRIMARY KEY (`newsletter_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_newsletter_subscription`
--
ALTER TABLE `mw8a0_redshop_newsletter_subscription`
  ADD PRIMARY KEY (`subscription_id`),
  ADD KEY `idx_user_id` (`user_id`),
  ADD KEY `idx_newsletter_id` (`newsletter_id`),
  ADD KEY `idx_email` (`email`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_newsletter_tracker`
--
ALTER TABLE `mw8a0_redshop_newsletter_tracker`
  ADD PRIMARY KEY (`tracker_id`),
  ADD KEY `idx_newsletter_id` (`newsletter_id`),
  ADD KEY `idx_read` (`read`);

--
-- Indexes for table `mw8a0_redshop_notifystock_users`
--
ALTER TABLE `mw8a0_redshop_notifystock_users`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_common` (`product_id`,`property_id`,`subproperty_id`,`notification_status`,`user_id`),
  ADD KEY `idx_user_id` (`user_id`);

--
-- Indexes for table `mw8a0_redshop_orderbarcode_log`
--
ALTER TABLE `mw8a0_redshop_orderbarcode_log`
  ADD PRIMARY KEY (`log_id`),
  ADD KEY `idx_order_id` (`order_id`);

--
-- Indexes for table `mw8a0_redshop_orders`
--
ALTER TABLE `mw8a0_redshop_orders`
  ADD PRIMARY KEY (`order_id`),
  ADD KEY `idx_orders_user_id` (`user_id`),
  ADD KEY `idx_orders_order_number` (`order_number`),
  ADD KEY `idx_orders_user_info_id` (`user_info_id`),
  ADD KEY `idx_orders_ship_method_id` (`ship_method_id`),
  ADD KEY `vm_order_number` (`vm_order_number`),
  ADD KEY `idx_orders_invoice_number` (`invoice_number`),
  ADD KEY `idx_orders_invoice_number_chrono` (`invoice_number_chrono`),
  ADD KEY `idx_barcode` (`barcode`),
  ADD KEY `idx_order_payment_status` (`order_payment_status`),
  ADD KEY `idx_order_status` (`order_status`);

--
-- Indexes for table `mw8a0_redshop_order_acc_item`
--
ALTER TABLE `mw8a0_redshop_order_acc_item`
  ADD PRIMARY KEY (`order_item_acc_id`);

--
-- Indexes for table `mw8a0_redshop_order_attribute_item`
--
ALTER TABLE `mw8a0_redshop_order_attribute_item`
  ADD PRIMARY KEY (`order_att_item_id`),
  ADD KEY `idx_order_item_id` (`order_item_id`),
  ADD KEY `idx_section` (`section`),
  ADD KEY `idx_parent_section_id` (`parent_section_id`),
  ADD KEY `idx_is_accessory_att` (`is_accessory_att`);

--
-- Indexes for table `mw8a0_redshop_order_item`
--
ALTER TABLE `mw8a0_redshop_order_item`
  ADD PRIMARY KEY (`order_item_id`),
  ADD KEY `idx_order_id` (`order_id`),
  ADD KEY `idx_user_info_id` (`user_info_id`),
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_order_status` (`order_status`),
  ADD KEY `idx_cdate` (`cdate`),
  ADD KEY `idx_is_giftcard` (`is_giftcard`);

--
-- Indexes for table `mw8a0_redshop_order_payment`
--
ALTER TABLE `mw8a0_redshop_order_payment`
  ADD PRIMARY KEY (`payment_order_id`),
  ADD UNIQUE KEY `order_id` (`order_id`),
  ADD KEY `idx_payment_method_id` (`payment_method_id`);

--
-- Indexes for table `mw8a0_redshop_order_status`
--
ALTER TABLE `mw8a0_redshop_order_status`
  ADD PRIMARY KEY (`order_status_id`),
  ADD UNIQUE KEY `mw8a0_rs_idx_order_status_code` (`order_status_code`),
  ADD KEY `mw8a0_rs_idx_order_status_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_order_status_log`
--
ALTER TABLE `mw8a0_redshop_order_status_log`
  ADD PRIMARY KEY (`order_status_log_id`),
  ADD KEY `idx_order_id` (`order_id`),
  ADD KEY `idx_order_status` (`order_status`);

--
-- Indexes for table `mw8a0_redshop_order_users_info`
--
ALTER TABLE `mw8a0_redshop_order_users_info`
  ADD PRIMARY KEY (`order_info_id`),
  ADD KEY `idx_order_id` (`order_id`),
  ADD KEY `idx_address_type` (`address_type`);

--
-- Indexes for table `mw8a0_redshop_pageviewer`
--
ALTER TABLE `mw8a0_redshop_pageviewer`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_session_id` (`session_id`),
  ADD KEY `idx_section` (`section`),
  ADD KEY `idx_section_id` (`section_id`),
  ADD KEY `idx_created_date` (`created_date`);

--
-- Indexes for table `mw8a0_redshop_product`
--
ALTER TABLE `mw8a0_redshop_product`
  ADD PRIMARY KEY (`product_id`),
  ADD UNIQUE KEY `idx_product_number` (`product_number`),
  ADD KEY `idx_manufacturer_id` (`manufacturer_id`),
  ADD KEY `idx_product_on_sale` (`product_on_sale`),
  ADD KEY `idx_product_special` (`product_special`),
  ADD KEY `idx_product_parent_id` (`product_parent_id`),
  ADD KEY `idx_common` (`published`,`expired`,`product_parent_id`),
  ADD KEY `mw8a0_rs_product_supplier_fk1` (`supplier_id`);

--
-- Indexes for table `mw8a0_redshop_product_accessory`
--
ALTER TABLE `mw8a0_redshop_product_accessory`
  ADD PRIMARY KEY (`accessory_id`),
  ADD KEY `idx_common` (`product_id`,`child_product_id`),
  ADD KEY `idx_child_product_id` (`child_product_id`);

--
-- Indexes for table `mw8a0_redshop_product_attribute`
--
ALTER TABLE `mw8a0_redshop_product_attribute`
  ADD PRIMARY KEY (`attribute_id`),
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_attribute_name` (`attribute_name`),
  ADD KEY `idx_attribute_set_id` (`attribute_set_id`),
  ADD KEY `idx_attribute_published` (`attribute_published`),
  ADD KEY `idx_attribute_required` (`attribute_required`);

--
-- Indexes for table `mw8a0_redshop_product_attribute_price`
--
ALTER TABLE `mw8a0_redshop_product_attribute_price`
  ADD PRIMARY KEY (`price_id`),
  ADD KEY `idx_shopper_group_id` (`shopper_group_id`),
  ADD KEY `idx_common` (`section_id`,`section`,`price_quantity_start`,`price_quantity_end`,`shopper_group_id`);

--
-- Indexes for table `mw8a0_redshop_product_attribute_property`
--
ALTER TABLE `mw8a0_redshop_product_attribute_property`
  ADD PRIMARY KEY (`property_id`),
  ADD KEY `idx_attribute_id` (`attribute_id`),
  ADD KEY `idx_setrequire_selected` (`setrequire_selected`),
  ADD KEY `idx_property_published` (`property_published`),
  ADD KEY `idx_property_number` (`property_number`);

--
-- Indexes for table `mw8a0_redshop_product_attribute_stockroom_xref`
--
ALTER TABLE `mw8a0_redshop_product_attribute_stockroom_xref`
  ADD KEY `idx_stockroom_id` (`stockroom_id`),
  ADD KEY `idx_common` (`section_id`,`section`,`stockroom_id`);

--
-- Indexes for table `mw8a0_redshop_product_category_xref`
--
ALTER TABLE `mw8a0_redshop_product_category_xref`
  ADD KEY `ref_category` (`product_id`);

--
-- Indexes for table `mw8a0_redshop_product_compare`
--
ALTER TABLE `mw8a0_redshop_product_compare`
  ADD PRIMARY KEY (`compare_id`),
  ADD KEY `idx_common` (`user_id`,`product_id`),
  ADD KEY `idx_product_id` (`product_id`);

--
-- Indexes for table `mw8a0_redshop_product_discount_calc`
--
ALTER TABLE `mw8a0_redshop_product_discount_calc`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_product_id` (`product_id`);

--
-- Indexes for table `mw8a0_redshop_product_discount_calc_extra`
--
ALTER TABLE `mw8a0_redshop_product_discount_calc_extra`
  ADD PRIMARY KEY (`pdcextra_id`),
  ADD KEY `idx_product_id` (`product_id`);

--
-- Indexes for table `mw8a0_redshop_product_download`
--
ALTER TABLE `mw8a0_redshop_product_download`
  ADD PRIMARY KEY (`download_id`),
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_user_id` (`user_id`),
  ADD KEY `idx_order_id` (`order_id`);

--
-- Indexes for table `mw8a0_redshop_product_download_log`
--
ALTER TABLE `mw8a0_redshop_product_download_log`
  ADD KEY `idx_download_id` (`download_id`);

--
-- Indexes for table `mw8a0_redshop_product_price`
--
ALTER TABLE `mw8a0_redshop_product_price`
  ADD PRIMARY KEY (`price_id`),
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_shopper_group_id` (`shopper_group_id`),
  ADD KEY `idx_price_quantity_start` (`price_quantity_start`),
  ADD KEY `idx_price_quantity_end` (`price_quantity_end`);

--
-- Indexes for table `mw8a0_redshop_product_rating`
--
ALTER TABLE `mw8a0_redshop_product_rating`
  ADD PRIMARY KEY (`rating_id`),
  ADD UNIQUE KEY `product_id` (`product_id`,`userid`,`email`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_email` (`email`);

--
-- Indexes for table `mw8a0_redshop_product_related`
--
ALTER TABLE `mw8a0_redshop_product_related`
  ADD KEY `idx_product_id` (`product_id`);

--
-- Indexes for table `mw8a0_redshop_product_serial_number`
--
ALTER TABLE `mw8a0_redshop_product_serial_number`
  ADD PRIMARY KEY (`serial_id`),
  ADD KEY `idx_common` (`product_id`,`is_used`);

--
-- Indexes for table `mw8a0_redshop_product_stockroom_xref`
--
ALTER TABLE `mw8a0_redshop_product_stockroom_xref`
  ADD KEY `idx_stockroom_id` (`stockroom_id`),
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_quantity` (`quantity`);

--
-- Indexes for table `mw8a0_redshop_product_subattribute_color`
--
ALTER TABLE `mw8a0_redshop_product_subattribute_color`
  ADD PRIMARY KEY (`subattribute_color_id`),
  ADD KEY `idx_subattribute_id` (`subattribute_id`),
  ADD KEY `idx_subattribute_published` (`subattribute_published`);

--
-- Indexes for table `mw8a0_redshop_product_subscribe_detail`
--
ALTER TABLE `mw8a0_redshop_product_subscribe_detail`
  ADD PRIMARY KEY (`product_subscribe_id`),
  ADD KEY `idx_common` (`product_id`,`end_date`),
  ADD KEY `idx_order_item_id` (`order_item_id`);

--
-- Indexes for table `mw8a0_redshop_product_subscription`
--
ALTER TABLE `mw8a0_redshop_product_subscription`
  ADD PRIMARY KEY (`subscription_id`),
  ADD KEY `idx_product_id` (`product_id`);

--
-- Indexes for table `mw8a0_redshop_product_tags`
--
ALTER TABLE `mw8a0_redshop_product_tags`
  ADD PRIMARY KEY (`tags_id`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_tags_name` (`tags_name`);

--
-- Indexes for table `mw8a0_redshop_product_tags_xref`
--
ALTER TABLE `mw8a0_redshop_product_tags_xref`
  ADD KEY `idx_product_id` (`product_id`),
  ADD KEY `idx_users_id` (`users_id`);

--
-- Indexes for table `mw8a0_redshop_product_voucher`
--
ALTER TABLE `mw8a0_redshop_product_voucher`
  ADD PRIMARY KEY (`voucher_id`),
  ADD KEY `idx_common` (`voucher_code`,`published`,`start_date`,`end_date`),
  ADD KEY `idx_voucher_left` (`voucher_left`);

--
-- Indexes for table `mw8a0_redshop_product_voucher_transaction`
--
ALTER TABLE `mw8a0_redshop_product_voucher_transaction`
  ADD PRIMARY KEY (`transaction_voucher_id`),
  ADD KEY `idx_voucher_id` (`voucher_id`),
  ADD KEY `idx_voucher_code` (`voucher_code`),
  ADD KEY `idx_amount` (`amount`),
  ADD KEY `idx_user_id` (`user_id`);

--
-- Indexes for table `mw8a0_redshop_product_voucher_xref`
--
ALTER TABLE `mw8a0_redshop_product_voucher_xref`
  ADD KEY `idx_common` (`voucher_id`,`product_id`);

--
-- Indexes for table `mw8a0_redshop_quotation`
--
ALTER TABLE `mw8a0_redshop_quotation`
  ADD PRIMARY KEY (`quotation_id`),
  ADD KEY `idx_user_id` (`user_id`),
  ADD KEY `idx_order_id` (`order_id`),
  ADD KEY `idx_quotation_status` (`quotation_status`);

--
-- Indexes for table `mw8a0_redshop_quotation_accessory_item`
--
ALTER TABLE `mw8a0_redshop_quotation_accessory_item`
  ADD PRIMARY KEY (`quotation_item_acc_id`),
  ADD KEY `idx_quotation_item_id` (`quotation_item_id`);

--
-- Indexes for table `mw8a0_redshop_quotation_attribute_item`
--
ALTER TABLE `mw8a0_redshop_quotation_attribute_item`
  ADD PRIMARY KEY (`quotation_att_item_id`),
  ADD KEY `idx_quotation_item_id` (`quotation_item_id`),
  ADD KEY `idx_section` (`section`),
  ADD KEY `idx_parent_section_id` (`parent_section_id`),
  ADD KEY `idx_is_accessory_att` (`is_accessory_att`);

--
-- Indexes for table `mw8a0_redshop_quotation_fields_data`
--
ALTER TABLE `mw8a0_redshop_quotation_fields_data`
  ADD PRIMARY KEY (`data_id`),
  ADD KEY `quotation_item_id` (`quotation_item_id`),
  ADD KEY `idx_fieldid` (`fieldid`),
  ADD KEY `idx_quotation_item_id` (`quotation_item_id`),
  ADD KEY `idx_section` (`section`);

--
-- Indexes for table `mw8a0_redshop_quotation_item`
--
ALTER TABLE `mw8a0_redshop_quotation_item`
  ADD PRIMARY KEY (`quotation_item_id`),
  ADD KEY `quotation_id` (`quotation_id`);

--
-- Indexes for table `mw8a0_redshop_sample_request`
--
ALTER TABLE `mw8a0_redshop_sample_request`
  ADD PRIMARY KEY (`request_id`),
  ADD KEY `idx_block` (`block`);

--
-- Indexes for table `mw8a0_redshop_shipping_boxes`
--
ALTER TABLE `mw8a0_redshop_shipping_boxes`
  ADD PRIMARY KEY (`shipping_box_id`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_common` (`shipping_box_length`,`shipping_box_width`,`shipping_box_height`);

--
-- Indexes for table `mw8a0_redshop_shipping_rate`
--
ALTER TABLE `mw8a0_redshop_shipping_rate`
  ADD PRIMARY KEY (`shipping_rate_id`),
  ADD KEY `shipping_rate_name` (`shipping_rate_name`),
  ADD KEY `shipping_class` (`shipping_class`),
  ADD KEY `shipping_rate_zip_start` (`shipping_rate_zip_start`),
  ADD KEY `shipping_rate_zip_end` (`shipping_rate_zip_end`),
  ADD KEY `company_only` (`company_only`),
  ADD KEY `shipping_rate_value` (`shipping_rate_value`),
  ADD KEY `shipping_tax_group_id` (`shipping_tax_group_id`);

--
-- Indexes for table `mw8a0_redshop_shopper_group`
--
ALTER TABLE `mw8a0_redshop_shopper_group`
  ADD PRIMARY KEY (`shopper_group_id`),
  ADD KEY `idx_shopper_group_name` (`shopper_group_name`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_parent_id` (`parent_id`);

--
-- Indexes for table `mw8a0_redshop_siteviewer`
--
ALTER TABLE `mw8a0_redshop_siteviewer`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_session_id` (`session_id`),
  ADD KEY `idx_created_date` (`created_date`);

--
-- Indexes for table `mw8a0_redshop_state`
--
ALTER TABLE `mw8a0_redshop_state`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `mw8a0_rs_idx_state_3_code` (`country_id`,`state_3_code`),
  ADD UNIQUE KEY `mw8a0_rs_idx_state_2_code` (`country_id`,`state_2_code`),
  ADD KEY `idx_country_id` (`country_id`),
  ADD KEY `country_id` (`country_id`);

--
-- Indexes for table `mw8a0_redshop_stockroom`
--
ALTER TABLE `mw8a0_redshop_stockroom`
  ADD PRIMARY KEY (`stockroom_id`),
  ADD KEY `idx_published` (`published`),
  ADD KEY `idx_min_del_time` (`min_del_time`);

--
-- Indexes for table `mw8a0_redshop_stockroom_amount_image`
--
ALTER TABLE `mw8a0_redshop_stockroom_amount_image`
  ADD PRIMARY KEY (`stock_amount_id`),
  ADD KEY `idx_stockroom_id` (`stockroom_id`),
  ADD KEY `idx_stock_option` (`stock_option`),
  ADD KEY `idx_stock_quantity` (`stock_quantity`);

--
-- Indexes for table `mw8a0_redshop_subscription_renewal`
--
ALTER TABLE `mw8a0_redshop_subscription_renewal`
  ADD PRIMARY KEY (`renewal_id`),
  ADD KEY `idx_common` (`product_id`,`before_no_days`);

--
-- Indexes for table `mw8a0_redshop_supplier`
--
ALTER TABLE `mw8a0_redshop_supplier`
  ADD PRIMARY KEY (`id`),
  ADD KEY `mw8a0_rs_idx_supplier_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_tax_group`
--
ALTER TABLE `mw8a0_redshop_tax_group`
  ADD PRIMARY KEY (`tax_group_id`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_tax_rate`
--
ALTER TABLE `mw8a0_redshop_tax_rate`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_tax_group_id` (`tax_group_id`),
  ADD KEY `idx_tax_country` (`tax_country`),
  ADD KEY `idx_tax_state` (`tax_state`),
  ADD KEY `idx_is_eu_country` (`is_eu_country`);

--
-- Indexes for table `mw8a0_redshop_template`
--
ALTER TABLE `mw8a0_redshop_template`
  ADD PRIMARY KEY (`template_id`),
  ADD KEY `idx_template_section` (`template_section`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_textlibrary`
--
ALTER TABLE `mw8a0_redshop_textlibrary`
  ADD PRIMARY KEY (`textlibrary_id`),
  ADD KEY `idx_section` (`section`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_usercart`
--
ALTER TABLE `mw8a0_redshop_usercart`
  ADD PRIMARY KEY (`cart_id`),
  ADD KEY `idx_user_id` (`user_id`);

--
-- Indexes for table `mw8a0_redshop_usercart_accessory_item`
--
ALTER TABLE `mw8a0_redshop_usercart_accessory_item`
  ADD PRIMARY KEY (`cart_acc_item_id`),
  ADD KEY `idx_cart_item_id` (`cart_item_id`);

--
-- Indexes for table `mw8a0_redshop_usercart_attribute_item`
--
ALTER TABLE `mw8a0_redshop_usercart_attribute_item`
  ADD PRIMARY KEY (`cart_att_item_id`),
  ADD KEY `idx_common` (`is_accessory_att`,`section`,`parent_section_id`,`cart_item_id`),
  ADD KEY `idx_cart_item_id` (`cart_item_id`),
  ADD KEY `idx_parent_section_id` (`parent_section_id`);

--
-- Indexes for table `mw8a0_redshop_usercart_item`
--
ALTER TABLE `mw8a0_redshop_usercart_item`
  ADD PRIMARY KEY (`cart_item_id`),
  ADD KEY `idx_cart_id` (`cart_id`);

--
-- Indexes for table `mw8a0_redshop_users_info`
--
ALTER TABLE `mw8a0_redshop_users_info`
  ADD PRIMARY KEY (`users_info_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `idx_common` (`address_type`,`user_id`);

--
-- Indexes for table `mw8a0_redshop_wishlist`
--
ALTER TABLE `mw8a0_redshop_wishlist`
  ADD PRIMARY KEY (`wishlist_id`),
  ADD KEY `idx_user_id` (`user_id`);

--
-- Indexes for table `mw8a0_redshop_wishlist_product`
--
ALTER TABLE `mw8a0_redshop_wishlist_product`
  ADD PRIMARY KEY (`wishlist_product_id`),
  ADD KEY `idx_wishlist_id` (`wishlist_id`),
  ADD KEY `idx_common` (`product_id`,`wishlist_id`);

--
-- Indexes for table `mw8a0_redshop_wishlist_product_item`
--
ALTER TABLE `mw8a0_redshop_wishlist_product_item`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `mw8a0_idx_wishlist_prod_item_unique` (`ref_id`,`attribute_id`,`property_id`,`subattribute_id`),
  ADD KEY `mw8a0_wishlist_prod_item_fk2` (`attribute_id`),
  ADD KEY `mw8a0_wishlist_prod_item_fk3` (`property_id`),
  ADD KEY `mw8a0_wishlist_prod_item_fk4` (`subattribute_id`),
  ADD KEY `mw8a0_wishlist_prod_item_fk1` (`ref_id`);

--
-- Indexes for table `mw8a0_redshop_wishlist_userfielddata`
--
ALTER TABLE `mw8a0_redshop_wishlist_userfielddata`
  ADD PRIMARY KEY (`fieldid`),
  ADD KEY `idx_common` (`wishlist_id`,`product_id`);

--
-- Indexes for table `mw8a0_redshop_wrapper`
--
ALTER TABLE `mw8a0_redshop_wrapper`
  ADD PRIMARY KEY (`wrapper_id`),
  ADD KEY `idx_wrapper_use_to_all` (`wrapper_use_to_all`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_xml_export`
--
ALTER TABLE `mw8a0_redshop_xml_export`
  ADD PRIMARY KEY (`xmlexport_id`),
  ADD KEY `idx_filename` (`filename`),
  ADD KEY `idx_auto_sync` (`auto_sync`),
  ADD KEY `idx_sync_on_request` (`sync_on_request`),
  ADD KEY `idx_auto_sync_interval` (`auto_sync_interval`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_xml_export_ipaddress`
--
ALTER TABLE `mw8a0_redshop_xml_export_ipaddress`
  ADD PRIMARY KEY (`xmlexport_ip_id`),
  ADD KEY `idx_xmlexport_id` (`xmlexport_id`),
  ADD KEY `idx_access_ipaddress` (`access_ipaddress`);

--
-- Indexes for table `mw8a0_redshop_xml_export_log`
--
ALTER TABLE `mw8a0_redshop_xml_export_log`
  ADD PRIMARY KEY (`xmlexport_log_id`),
  ADD KEY `idx_xmlexport_id` (`xmlexport_id`),
  ADD KEY `idx_xmlexport_filename` (`xmlexport_filename`);

--
-- Indexes for table `mw8a0_redshop_xml_import`
--
ALTER TABLE `mw8a0_redshop_xml_import`
  ADD PRIMARY KEY (`xmlimport_id`),
  ADD KEY `idx_auto_sync` (`auto_sync`),
  ADD KEY `idx_sync_on_request` (`sync_on_request`),
  ADD KEY `idx_auto_sync_interval` (`auto_sync_interval`),
  ADD KEY `idx_published` (`published`);

--
-- Indexes for table `mw8a0_redshop_xml_import_log`
--
ALTER TABLE `mw8a0_redshop_xml_import_log`
  ADD PRIMARY KEY (`xmlimport_log_id`),
  ADD KEY `idx_xmlimport_id` (`xmlimport_id`);

--
-- Indexes for table `mw8a0_redshop_zipcode`
--
ALTER TABLE `mw8a0_redshop_zipcode`
  ADD PRIMARY KEY (`zipcode_id`),
  ADD KEY `zipcode` (`zipcode`),
  ADD KEY `idx_country_code` (`country_code`),
  ADD KEY `idx_state_code` (`state_code`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `mw8a0_redshop_accessmanager`
--
ALTER TABLE `mw8a0_redshop_accessmanager`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_alerts`
--
ALTER TABLE `mw8a0_redshop_alerts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_attribute_set`
--
ALTER TABLE `mw8a0_redshop_attribute_set`
  MODIFY `attribute_set_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_catalog`
--
ALTER TABLE `mw8a0_redshop_catalog`
  MODIFY `catalog_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_catalog_colour`
--
ALTER TABLE `mw8a0_redshop_catalog_colour`
  MODIFY `colour_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_catalog_request`
--
ALTER TABLE `mw8a0_redshop_catalog_request`
  MODIFY `catalog_user_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_catalog_sample`
--
ALTER TABLE `mw8a0_redshop_catalog_sample`
  MODIFY `sample_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_category`
--
ALTER TABLE `mw8a0_redshop_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=203;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_country`
--
ALTER TABLE `mw8a0_redshop_country`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=253;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_coupons`
--
ALTER TABLE `mw8a0_redshop_coupons`
  MODIFY `coupon_id` int(16) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_coupons_transaction`
--
ALTER TABLE `mw8a0_redshop_coupons_transaction`
  MODIFY `transaction_coupon_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_cron`
--
ALTER TABLE `mw8a0_redshop_cron`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_currency`
--
ALTER TABLE `mw8a0_redshop_currency`
  MODIFY `currency_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=159;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_customer_question`
--
ALTER TABLE `mw8a0_redshop_customer_question`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_discount`
--
ALTER TABLE `mw8a0_redshop_discount`
  MODIFY `discount_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_discount_product`
--
ALTER TABLE `mw8a0_redshop_discount_product`
  MODIFY `discount_product_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_economic_accountgroup`
--
ALTER TABLE `mw8a0_redshop_economic_accountgroup`
  MODIFY `accountgroup_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_fields`
--
ALTER TABLE `mw8a0_redshop_fields`
  MODIFY `field_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_fields_data`
--
ALTER TABLE `mw8a0_redshop_fields_data`
  MODIFY `data_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=29800;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_fields_value`
--
ALTER TABLE `mw8a0_redshop_fields_value`
  MODIFY `value_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_giftcard`
--
ALTER TABLE `mw8a0_redshop_giftcard`
  MODIFY `giftcard_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_mail`
--
ALTER TABLE `mw8a0_redshop_mail`
  MODIFY `mail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=193;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_manufacturer`
--
ALTER TABLE `mw8a0_redshop_manufacturer`
  MODIFY `manufacturer_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_mass_discount`
--
ALTER TABLE `mw8a0_redshop_mass_discount`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_media`
--
ALTER TABLE `mw8a0_redshop_media`
  MODIFY `media_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_media_download`
--
ALTER TABLE `mw8a0_redshop_media_download`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_newsletter`
--
ALTER TABLE `mw8a0_redshop_newsletter`
  MODIFY `newsletter_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_newsletter_subscription`
--
ALTER TABLE `mw8a0_redshop_newsletter_subscription`
  MODIFY `subscription_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_newsletter_tracker`
--
ALTER TABLE `mw8a0_redshop_newsletter_tracker`
  MODIFY `tracker_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_notifystock_users`
--
ALTER TABLE `mw8a0_redshop_notifystock_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_orderbarcode_log`
--
ALTER TABLE `mw8a0_redshop_orderbarcode_log`
  MODIFY `log_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_orders`
--
ALTER TABLE `mw8a0_redshop_orders`
  MODIFY `order_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=518;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_acc_item`
--
ALTER TABLE `mw8a0_redshop_order_acc_item`
  MODIFY `order_item_acc_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_attribute_item`
--
ALTER TABLE `mw8a0_redshop_order_attribute_item`
  MODIFY `order_att_item_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_item`
--
ALTER TABLE `mw8a0_redshop_order_item`
  MODIFY `order_item_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1491;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_payment`
--
ALTER TABLE `mw8a0_redshop_order_payment`
  MODIFY `payment_order_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=518;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_status`
--
ALTER TABLE `mw8a0_redshop_order_status`
  MODIFY `order_status_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_status_log`
--
ALTER TABLE `mw8a0_redshop_order_status_log`
  MODIFY `order_status_log_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=525;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_order_users_info`
--
ALTER TABLE `mw8a0_redshop_order_users_info`
  MODIFY `order_info_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1035;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_pageviewer`
--
ALTER TABLE `mw8a0_redshop_pageviewer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product`
--
ALTER TABLE `mw8a0_redshop_product`
  MODIFY `product_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3413;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_accessory`
--
ALTER TABLE `mw8a0_redshop_product_accessory`
  MODIFY `accessory_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_attribute`
--
ALTER TABLE `mw8a0_redshop_product_attribute`
  MODIFY `attribute_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_attribute_price`
--
ALTER TABLE `mw8a0_redshop_product_attribute_price`
  MODIFY `price_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_attribute_property`
--
ALTER TABLE `mw8a0_redshop_product_attribute_property`
  MODIFY `property_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_compare`
--
ALTER TABLE `mw8a0_redshop_product_compare`
  MODIFY `compare_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_discount_calc`
--
ALTER TABLE `mw8a0_redshop_product_discount_calc`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_discount_calc_extra`
--
ALTER TABLE `mw8a0_redshop_product_discount_calc_extra`
  MODIFY `pdcextra_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_price`
--
ALTER TABLE `mw8a0_redshop_product_price`
  MODIFY `price_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_rating`
--
ALTER TABLE `mw8a0_redshop_product_rating`
  MODIFY `rating_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_serial_number`
--
ALTER TABLE `mw8a0_redshop_product_serial_number`
  MODIFY `serial_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_subattribute_color`
--
ALTER TABLE `mw8a0_redshop_product_subattribute_color`
  MODIFY `subattribute_color_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_subscribe_detail`
--
ALTER TABLE `mw8a0_redshop_product_subscribe_detail`
  MODIFY `product_subscribe_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_subscription`
--
ALTER TABLE `mw8a0_redshop_product_subscription`
  MODIFY `subscription_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_tags`
--
ALTER TABLE `mw8a0_redshop_product_tags`
  MODIFY `tags_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_voucher`
--
ALTER TABLE `mw8a0_redshop_product_voucher`
  MODIFY `voucher_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_product_voucher_transaction`
--
ALTER TABLE `mw8a0_redshop_product_voucher_transaction`
  MODIFY `transaction_voucher_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_quotation`
--
ALTER TABLE `mw8a0_redshop_quotation`
  MODIFY `quotation_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_quotation_accessory_item`
--
ALTER TABLE `mw8a0_redshop_quotation_accessory_item`
  MODIFY `quotation_item_acc_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_quotation_attribute_item`
--
ALTER TABLE `mw8a0_redshop_quotation_attribute_item`
  MODIFY `quotation_att_item_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_quotation_fields_data`
--
ALTER TABLE `mw8a0_redshop_quotation_fields_data`
  MODIFY `data_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_quotation_item`
--
ALTER TABLE `mw8a0_redshop_quotation_item`
  MODIFY `quotation_item_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_sample_request`
--
ALTER TABLE `mw8a0_redshop_sample_request`
  MODIFY `request_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_shipping_boxes`
--
ALTER TABLE `mw8a0_redshop_shipping_boxes`
  MODIFY `shipping_box_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_shipping_rate`
--
ALTER TABLE `mw8a0_redshop_shipping_rate`
  MODIFY `shipping_rate_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_shopper_group`
--
ALTER TABLE `mw8a0_redshop_shopper_group`
  MODIFY `shopper_group_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_siteviewer`
--
ALTER TABLE `mw8a0_redshop_siteviewer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_state`
--
ALTER TABLE `mw8a0_redshop_state`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=465;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_stockroom`
--
ALTER TABLE `mw8a0_redshop_stockroom`
  MODIFY `stockroom_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_stockroom_amount_image`
--
ALTER TABLE `mw8a0_redshop_stockroom_amount_image`
  MODIFY `stock_amount_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_subscription_renewal`
--
ALTER TABLE `mw8a0_redshop_subscription_renewal`
  MODIFY `renewal_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1498;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_supplier`
--
ALTER TABLE `mw8a0_redshop_supplier`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_tax_group`
--
ALTER TABLE `mw8a0_redshop_tax_group`
  MODIFY `tax_group_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_tax_rate`
--
ALTER TABLE `mw8a0_redshop_tax_rate`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_template`
--
ALTER TABLE `mw8a0_redshop_template`
  MODIFY `template_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=579;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_textlibrary`
--
ALTER TABLE `mw8a0_redshop_textlibrary`
  MODIFY `textlibrary_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_usercart`
--
ALTER TABLE `mw8a0_redshop_usercart`
  MODIFY `cart_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=704;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_usercart_accessory_item`
--
ALTER TABLE `mw8a0_redshop_usercart_accessory_item`
  MODIFY `cart_acc_item_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_usercart_attribute_item`
--
ALTER TABLE `mw8a0_redshop_usercart_attribute_item`
  MODIFY `cart_att_item_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_usercart_item`
--
ALTER TABLE `mw8a0_redshop_usercart_item`
  MODIFY `cart_item_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11984;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_users_info`
--
ALTER TABLE `mw8a0_redshop_users_info`
  MODIFY `users_info_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=335;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_wishlist`
--
ALTER TABLE `mw8a0_redshop_wishlist`
  MODIFY `wishlist_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_wishlist_product`
--
ALTER TABLE `mw8a0_redshop_wishlist_product`
  MODIFY `wishlist_product_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_wishlist_product_item`
--
ALTER TABLE `mw8a0_redshop_wishlist_product_item`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary key';
--
-- AUTO_INCREMENT for table `mw8a0_redshop_wishlist_userfielddata`
--
ALTER TABLE `mw8a0_redshop_wishlist_userfielddata`
  MODIFY `fieldid` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_wrapper`
--
ALTER TABLE `mw8a0_redshop_wrapper`
  MODIFY `wrapper_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_xml_export`
--
ALTER TABLE `mw8a0_redshop_xml_export`
  MODIFY `xmlexport_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_xml_export_ipaddress`
--
ALTER TABLE `mw8a0_redshop_xml_export_ipaddress`
  MODIFY `xmlexport_ip_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_xml_export_log`
--
ALTER TABLE `mw8a0_redshop_xml_export_log`
  MODIFY `xmlexport_log_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_xml_import`
--
ALTER TABLE `mw8a0_redshop_xml_import`
  MODIFY `xmlimport_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_xml_import_log`
--
ALTER TABLE `mw8a0_redshop_xml_import_log`
  MODIFY `xmlimport_log_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `mw8a0_redshop_zipcode`
--
ALTER TABLE `mw8a0_redshop_zipcode`
  MODIFY `zipcode_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `mw8a0_redshop_customer_question`
--
ALTER TABLE `mw8a0_redshop_customer_question`
  ADD CONSTRAINT `mw8a0_rs_customer_question_fk1` FOREIGN KEY (`product_id`) REFERENCES `mw8a0_redshop_product` (`product_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `mw8a0_redshop_state`
--
ALTER TABLE `mw8a0_redshop_state`
  ADD CONSTRAINT `mw8a0_rs_state_country_fk1` FOREIGN KEY (`country_id`) REFERENCES `mw8a0_redshop_country` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints for table `mw8a0_redshop_wishlist_product_item`
--
ALTER TABLE `mw8a0_redshop_wishlist_product_item`
  ADD CONSTRAINT `mw8a0_wishlist_prod_item_fk1` FOREIGN KEY (`ref_id`) REFERENCES `mw8a0_redshop_wishlist_product` (`wishlist_product_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `mw8a0_wishlist_prod_item_fk2` FOREIGN KEY (`attribute_id`) REFERENCES `mw8a0_redshop_product_attribute` (`attribute_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `mw8a0_wishlist_prod_item_fk3` FOREIGN KEY (`property_id`) REFERENCES `mw8a0_redshop_product_attribute_property` (`property_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `mw8a0_wishlist_prod_item_fk4` FOREIGN KEY (`subattribute_id`) REFERENCES `mw8a0_redshop_product_subattribute_color` (`subattribute_color_id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
